Verified Commit cd0953b4 authored by Marvin W.'s avatar Marvin W. 🐿
Browse files

Update libraries

parent e9766db2
...@@ -9,29 +9,29 @@ buildscript { ...@@ -9,29 +9,29 @@ buildscript {
ext.safeParcelVersion = '1.7.0' ext.safeParcelVersion = '1.7.0'
ext.wearableVersion = '0.1.1' ext.wearableVersion = '0.1.1'
ext.kotlinVersion = '1.4.10' ext.kotlinVersion = '1.4.32'
ext.coroutineVersion = '1.3.7' ext.coroutineVersion = '1.3.8'
ext.annotationVersion = '1.1.0' ext.annotationVersion = '1.2.0'
ext.appcompatVersion = '1.2.0' ext.appcompatVersion = '1.2.0'
ext.coreVersion = '1.3.0' ext.coreVersion = '1.3.0'
ext.fragmentVersion = '1.2.5' ext.fragmentVersion = '1.2.5'
ext.lifecycleVersion = '2.2.0' ext.lifecycleVersion = '2.3.1'
ext.mediarouterVersion = '1.2.0' ext.mediarouterVersion = '1.2.2'
ext.multidexVersion = '2.0.1' ext.multidexVersion = '2.0.1'
ext.navigationVersion = '2.3.1' ext.navigationVersion = '2.3.5'
ext.preferenceVersion = '1.1.1' ext.preferenceVersion = '1.1.1'
ext.recyclerviewVersion = '1.1.0' ext.recyclerviewVersion = '1.1.0'
ext.webkitVersion = '1.4.0' ext.webkitVersion = '1.4.0'
ext.supportLibraryVersion = '28.0.0' ext.supportLibraryVersion = '28.0.0'
ext.slf4jVersion = '1.7.25' ext.slf4jVersion = '1.7.25'
ext.volleyVersion = '1.1.1' ext.volleyVersion = '1.2.0'
ext.wireVersion = '3.2.2' ext.wireVersion = '3.2.2'
ext.androidBuildGradleVersion = '4.1.0' ext.androidBuildGradleVersion = '4.1.0'
ext.androidBuildVersionTools = '29.0.3' ext.androidBuildVersionTools = '30.0.2'
ext.androidMinSdk = 14 ext.androidMinSdk = 14
ext.androidTargetSdk = 29 ext.androidTargetSdk = 29
......
...@@ -5,7 +5,6 @@ ...@@ -5,7 +5,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
dependencies { dependencies {
api project(':firebase-auth-api') api project(':firebase-auth-api')
......
...@@ -6,7 +6,6 @@ ...@@ -6,7 +6,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt' apply plugin: 'kotlin-kapt'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'maven-publish' apply plugin: 'maven-publish'
apply plugin: 'signing' apply plugin: 'signing'
...@@ -17,11 +16,9 @@ dependencies { ...@@ -17,11 +16,9 @@ dependencies {
implementation "androidx.multidex:multidex:$multidexVersion" implementation "androidx.multidex:multidex:$multidexVersion"
implementation "androidx.appcompat:appcompat:$appcompatVersion" implementation "androidx.appcompat:appcompat:$appcompatVersion"
implementation "androidx.mediarouter:mediarouter:$mediarouterVersion" implementation "androidx.mediarouter:mediarouter:$mediarouterVersion"
implementation "androidx.preference:preference:$preferenceVersion" implementation "androidx.preference:preference-ktx:$preferenceVersion"
// Navigation // Navigation
implementation "androidx.navigation:navigation-fragment:$navigationVersion"
implementation "androidx.navigation:navigation-ui:$navigationVersion"
implementation "androidx.navigation:navigation-fragment-ktx:$navigationVersion" implementation "androidx.navigation:navigation-fragment-ktx:$navigationVersion"
implementation "androidx.navigation:navigation-ui-ktx:$navigationVersion" implementation "androidx.navigation:navigation-ui-ktx:$navigationVersion"
...@@ -39,8 +36,8 @@ android { ...@@ -39,8 +36,8 @@ android {
targetSdkVersion androidTargetSdk targetSdkVersion androidTargetSdk
} }
dataBinding { buildFeatures {
enabled = true dataBinding = true
} }
sourceSets { sourceSets {
......
...@@ -16,7 +16,6 @@ ...@@ -16,7 +16,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'maven-publish' apply plugin: 'maven-publish'
apply plugin: 'signing' apply plugin: 'signing'
......
...@@ -6,7 +6,7 @@ ...@@ -6,7 +6,7 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
dependencies { dependencies {
implementation "org.microg.gms:conscrypt-gmscore:2.5.1" implementation "org.microg.gms:conscrypt-gmscore:2.5.2"
implementation "androidx.annotation:annotation:$annotationVersion" implementation "androidx.annotation:annotation:$annotationVersion"
implementation project(":play-services-base-core") implementation project(":play-services-base-core")
} }
......
...@@ -108,6 +108,10 @@ public class ProviderInstallerImpl { ...@@ -108,6 +108,10 @@ public class ProviderInstallerImpl {
} }
} }
public void reportRequestStats(Context context, long a, long b) {
// Ignore stats
}
private static void initProvider(Context context, String packageName) { private static void initProvider(Context context, String packageName) {
Log.d(TAG, "Initializing provider for " + packageName); Log.d(TAG, "Initializing provider for " + packageName);
......
...@@ -17,7 +17,6 @@ ...@@ -17,7 +17,6 @@
apply plugin: 'com.android.application' apply plugin: 'com.android.application'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt' apply plugin: 'kotlin-kapt'
apply plugin: 'kotlin-android-extensions'
configurations { configurations {
withMapboxImplementation withMapboxImplementation
...@@ -95,8 +94,8 @@ android { ...@@ -95,8 +94,8 @@ android {
} }
} }
dataBinding { buildFeatures {
enabled = true dataBinding = true
} }
sourceSets { sourceSets {
......
...@@ -5,7 +5,6 @@ ...@@ -5,7 +5,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'maven-publish' apply plugin: 'maven-publish'
apply plugin: 'signing' apply plugin: 'signing'
......
...@@ -5,7 +5,6 @@ ...@@ -5,7 +5,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
dependencies { dependencies {
api project(':play-services-location-api') api project(':play-services-location-api')
......
...@@ -16,7 +16,6 @@ ...@@ -16,7 +16,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
dependencies { dependencies {
implementation project(':play-services-api') implementation project(':play-services-api')
......
...@@ -6,7 +6,6 @@ ...@@ -6,7 +6,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt' apply plugin: 'kotlin-kapt'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'maven-publish' apply plugin: 'maven-publish'
apply plugin: 'signing' apply plugin: 'signing'
...@@ -37,8 +36,8 @@ android { ...@@ -37,8 +36,8 @@ android {
targetSdkVersion androidTargetSdk targetSdkVersion androidTargetSdk
} }
dataBinding { buildFeatures {
enabled = true dataBinding = true
} }
sourceSets { sourceSets {
......
...@@ -5,7 +5,6 @@ ...@@ -5,7 +5,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'maven-publish' apply plugin: 'maven-publish'
apply plugin: 'signing' apply plugin: 'signing'
...@@ -26,7 +25,7 @@ dependencies { ...@@ -26,7 +25,7 @@ dependencies {
implementation "com.squareup.wire:wire-runtime:$wireVersion" implementation "com.squareup.wire:wire-runtime:$wireVersion"
testImplementation 'junit:junit:4.12' testImplementation 'junit:junit:4.13.2'
} }
android { android {
......
...@@ -5,7 +5,6 @@ ...@@ -5,7 +5,6 @@
apply plugin: 'com.android.library' apply plugin: 'com.android.library'
apply plugin: 'kotlin-android' apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'maven-publish' apply plugin: 'maven-publish'
apply plugin: 'signing' apply plugin: 'signing'
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment